Ubuntu: Installing latest version of wxwidgets



Question:

I am attempting to install the latest version of wxwidgets via the terminal. I followed these directions.

However, when I navigated to the folder /usr/include, a folder was created called wx-3.0-unofficial. Is this the correct folder?

Also, if I wanted to install v3.10.0, would I perform the same commands but replace 3.0 with 3.1?

Basically, are these the correct commands I should use to install wxwidgets or is there a better method?

On the page, the commands are as follows (I skipped the part on installing the IDE):

sudo apt-add-repository 'deb http://repos.codelite.org/wx3.0.2/ubuntu/ trusty universe'

apt-get update

apt-get install libwxbase3.0-0-unofficial \ libwxbase3.0-dev \ libwxgtk3.0-0-unofficial \ libwxgtk3.0-dev \ wx3.0-headers \ wx-common \ libwxbase3.0-dbg \ libwxgtk3.0-dbg \ wx3.0-i18n \ wx3.0-examples \ wx3.0-doc

Then, I followed some directions from the user guide

cd /usr/include

ls | grep wx

sudo ln -sv wx-2.8/wx wx

I replaced 2.8 with 3.0


Solution:1

Did you look at wxWidget guide.

Following the developer guides is always the best way to install something.


Note:If u also have question or solution just comment us below or mail us on toontricks1994@gmail.com
Previous
Next Post »